using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Database
{
    public class UserSecurityTokenStore : Store<UserSecurityToken>
    {
        protected override void OnDelete(UserSecurityToken entity)
        {
            Provider.Purge(entity);
        }

        protected override void OnDelete(IEnumerable<UserSecurityToken> entities)
        {
            Provider.Purge(entities);
        }
    }
}
